

# <center>Atlas of Weak Signals</center>

<center>![](assets/)</center>



## Ramon and lucas

weak signals - detatch from background noise
how to identify them and link to your work

how weak?
how important?

make an intervention and see how it comes back

a fable of tomororw
silent spring - carson
 - signals about insecticides

 sensing!
 the sensual - geometry

 Edward teller - 100 years after oil inductry started caught a signal

 giaia theory by james lovelock

 Diatoms are a weak signal

 ## characterising:
  - weak - trend before a trend
  - where?

3 dimensions to weak signals
1.signals strength - data!
2.interpretation
3. issues


 look at data
 what issue do they relate to
 interprate



 scan
 isolate
 evaluate
 organise
 communicate

 ### scanning
 - conversations

 ### techniques
 text mining
 anomolies
 network analysisi - who is sending out what
 trend analyss
 temporal data
 controversy mapping-  there are tools for finding out who is generating controversies


 ### prganzieing signals

 ontology mapping

 wiki
 knowledge federation

 this reminsded me of atlas veronicas project

 inpiration

 the future sign and its three dimensions - a paper by hooffmn?



 tools:

 scraping
 text mining for converstaions trend analysis googel

 topic models - bigml


 grammar and the ordering of thoughts



 ## Data

 knowledge to data loses complexity

I FOUND free articles from
 google scholar addon (chrome)
  libjen.io
  sci-hub.tu


wbsites live on servers
scrapingnis never looking at data locally on YOURE machine


weak signal scraping - we are looking at whats on THE SERVER

find places that have interesting servers


### week 2 with lucas

every week

characterising weak signals
what trend before trend
where things start
How critical actors

https://mixed.io/doc/2004519690088483561

http://bit.ly/2ulhGvO

### Coding languages
Python can run on a lot of different machines and insid eyour terminal.. it has scripting capabilities - python interpreter translates to talk to computer which reads it.
javascript is read in real time
python has a lot of libraries
 features of python:
* Libraries - code you can import - import statements eg beautiful soup
* SDKs to API - the way to interface with libraries (software development kit) contracts around libraries enabling developers to work with libraries. similar to APIs (in Application protocall interface the code does not sit on your computer). SDK is like walking in with approval  - API checks who you are. CHECK if there are existing SDKs or APIs attached to libraries.
* functions takes inputs and turn them into outputs. Usually of the format
name . action_of_some_sort (to what)
* comments in python are denoted by # or """




https://colab.research.google.com/drive/1zhlz_XsXGjZXJ6x04EvpGJN1iRIhbkGD#scrollTo=RpBVzT1hS7wX&forceEdit=true&offline=true&sandboxMode=true

jupiter notebook is somewhere you can write mark down and python

colabortary lets you share data in an online notebook

## web scraping
1. get contents from the body of the website
2. organise content - keywords, look for overlap
3.
4. are there APIs that exist that do this for the source


the internet works through API calls

Websites come back t you in html
there are sections for
<head><\head>
body
tail


useful libraries:
**beautiful soup** - gets and parses a website - separating and understanding a website - essential for scraping


use google tutorial to normalise all the results  (cross check)

  keywording comparing them to a body of keywords and overlapping them to see cross overs.

  we are buidinga search engine.


to scrape  the body of a site
  from bs4 import BeautifulSoup as bs4
  import urllib


### for the nyt
  quote_page = 'https://www.nytimes.com/2012/02/19/magazine/shopping-habits.html?pagewanted=all&_r=0'
response = urllib.request.urlopen(quote_page)
soup = bs4(response, 'html.parser')
print(soup)

pick a website to pull body text


https://algorithmia.com/signup
make an account go to your profil
copy and paste your key into

experiment with algorthmia and connect with any website you want that says royalty free - there are different languages you can use to


put data into the functions given on gthe "Data Processing! ...the thing that comes next" section of https://colab.research.google.com/drive/1zhlz_XsXGjZXJ6x04EvpGJN1iRIhbkGD#scrollTo=0vFfFOcVowjp&forceEdit=true&offline=true&sandboxMode=true

use the key in client - algorithmia line
import Algorithmia
client = Algorithmia.client("simTUbHF4ExioHgKbjuASlwxJzj1") # change this value or else...

install STK from algorthiam

data = "" # put something inside and try it yourself
name_entity(data)


dont delete this

def name_entity(corpus):

### assignment
1. get this weeks data sources into google sheets

2. get keywords assigned from as many urls

use machine learning for keywords, wayys to link urls together

we have
topic
> url
> important words

crosschecking keywords.

automating pulling urls and keywords against machine learning scraping


accesssing googlesheets to automate keyword connections


## semiotics
the study of symbols

arranging topics in level / stages

mapping concepts

concept object symbol triangle

ou
### task

- select a news piece from the stack
- write a possible continuation to this story based on
- who, what where when why how?
- headline, subtite, lead summary, body, nonessential
clbv

next week

intervention that uses at least 3 or 4 overlapping definitions


## Assignment
slides

At least 3 intersections of topics covered
- introduce topics
- why important - why a weak signal
- how  -what does the intervention do what are you trying to make and do and effect
